!c Description:
!c  ٤Ǯ, Ǯʬ, Ǯ/٤ʬͤ
!c
!c Current Code Owner: 
!c   sugiyama@gfd-dennou.org
!c
!c Histry: 
!c   Version    Date          Comment
!c   -------    ----------    --------
!c   1.0        2003-02-05    
!c
!c Copyright (C) SUGIYAMA Ko-ichiro, 2003, All rights reserved

module interface_cp_noblegas
  interface

     subroutine Cp_NobleGas(temp, cp, cp_int, cp_dvt_int)
       real(8), intent(in)            :: temp     !
       real(8), intent(out), optional :: cp       !Ǯ
       real(8), intent(out), optional :: cp_int   !Ǯʬ 
       real(8), intent(out), optional :: cp_dvt_int  !Ǯ/٤ʬ
     end subroutine Cp_NobleGas

  end interface
end module interface_cp_noblegas

subroutine Cp_NobleGas(temp, cp, cp_int, cp_dvt_int)
  use prm_phys, only: temp_ref
  implicit none
  real(8), intent(in)            :: temp     !
  real(8), intent(out), optional :: cp       !Ǯ
  real(8), intent(out), optional :: cp_int   !Ǯʬ 
  real(8), intent(out), optional :: cp_dvt_int  !Ǯ/٤ʬ
  
  !Ǯ
  if(present(cp)) cp = 20.786d0
 
  !Ǯʬ
  if(present(cp_int)) cp_int = 20.786D0 * (temp - temp_ref)

  !Ǯ/٤ʬ
  if(present(cp_dvt_int)) cp_dvt_int = 20.786D0 * dlog(temp / temp_ref)
  

end subroutine Cp_NobleGas
